# remirepo/fedora spec file for gmusicbrowser
#
# Copyright (c) 2009-2016 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#

Name:      gmusicbrowser
Summary:   Jukebox for large collections of music files
Version:   1.1.15
Release:   9%{?dist}
License:   GPLv3+
Group:     Applications/Multimedia

URL:       http://gmusicbrowser.org/
Source0:   http://gmusicbrowser.org/download/%{name}-%{version}.tar.gz

Patch0:    %{name}-upstream.patch

BuildArch: noarch

BuildRequires:    desktop-file-utils
BuildRequires:    appdata-tools
BuildRequires:    perl-devel
BuildRequires:    perl-generators
BuildRequires:    gettext

Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

# Optionnal Deps and not detected
Requires:         perl(Gtk2::TrayIcon), perl(Locale::gettext) >= 1.04
Requires:         vorbis-tools, flac123, alsa-utils 
Requires:         perl(GStreamer1)

# We need to keep perl(Gtk2) perl(Gtk2::Notify)
# perl(Gtk2::Pango) perl(Gtk2::TrayIcon)

# RPM 4.8 style:
%{?filter_setup:
%filter_from_provides /perl(/d
%filter_from_requires /perl(simple_http)/d
%filter_from_requires /perl(gmusicbrowser/d
%filter_from_requires /perl(GMB::/d
%filter_from_requires /perl(Layout::Label)/d
%filter_from_requires /perl(SongArray)/d
%filter_from_requires /perl(Gtk2::B/d
%filter_from_requires /perl(Gtk2::C/d
%filter_from_requires /perl(Gtk2::D/d
%filter_from_requires /perl(Gtk2::E/d
%filter_from_requires /perl(Gtk2::F/d
%filter_from_requires /perl(Gtk2::H/d
%filter_from_requires /perl(Gtk2::L/d
%filter_from_requires /perl(Gtk2::Notebook)/d
%filter_from_requires /perl(Gtk2::O/d
%filter_from_requires /perl(Gtk2::ProgressBar)/d
%filter_from_requires /perl(Gtk2::S/d
%filter_from_requires /perl(Gtk2::ToggleButton)/d
%filter_from_requires /perl(Gtk2::V/d
%filter_from_requires /perl(Gtk2::W/d
}
%{?perl_default_filter}

# RPM 4.9 style:
# Filter underspecified dependencies
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(simple_http\\)
%global __requires_exclude %__requires_exclude|^perl\\(gmusicbrowser
%global __requires_exclude %__requires_exclude|^perl\\(GMB::
%global __requires_exclude %__requires_exclude|^perl\\(Layout::Label\\)
%global __requires_exclude %__requires_exclude|^perl\\(SongArray)
%global __requires_exclude %__requires_exclude|^perl\\(Gtk2::B
%global __requires_exclude %__requires_exclude|^perl\\(Gtk2::C
%global __requires_exclude %__requires_exclude|^perl\\(Gtk2::D
%global __requires_exclude %__requires_exclude|^perl\\(Gtk2::E
%global __requires_exclude %__requires_exclude|^perl\\(Gtk2::F
%global __requires_exclude %__requires_exclude|^perl\\(Gtk2::H
%global __requires_exclude %__requires_exclude|^perl\\(Gtk2::L
%global __requires_exclude %__requires_exclude|^perl\\(Gtk2::Notebook\\)
%global __requires_exclude %__requires_exclude|^perl\\(Gtk2::O
%global __requires_exclude %__requires_exclude|^perl\\(Gtk2::ProgressBar\\)
%global __requires_exclude %__requires_exclude|^perl\\(Gtk2::S
%global __requires_exclude %__requires_exclude|^perl\\(Gtk2::ToggleButton\\)
%global __requires_exclude %__requires_exclude|^perl\\(Gtk2::V
%global __requires_exclude %__requires_exclude|^perl\\(Gtk2::W


%description
Jukebox for large collections of music files
Uses gstreamer, mpg321/ogg123/flac123  or mplayer for playback
Main features :
- customizable window layouts
- artist/album lock : easily restrict playlist to current artist/album
- easy access to related songs (same artist/album/title)
- simple mass-tagging and mass-renaming
- support multiple genres for each song
- customizable labels can be set for each song
- filters with unlimited nesting of conditions
- customizable weighted random mode


%prep
%setup -q
%patch0 -p1 -b .upstream

# don't install documentation as RPM handles it
sed -e '/DOCS/d' \
    -e '/docdir/d' \
    -i Makefile


%build
# Empty


%install
make install \
   prefix=%{_prefix} \
   DESTDIR=%{buildroot}

rm -f %{buildroot}/%{_prefix}/lib/menu/gmusicbrowser

desktop-file-install --vendor="" \
   --dir=%{buildroot}%{_datadir}/applications/ \
   %{buildroot}/%{_datadir}/applications/%{name}.desktop

if which appstream-util; then
   appstream-util validate-relax --nonet %{name}.appdata.xml
else
   appdata-validate --relax --nonet %{name}.appdata.xml
fi

%find_lang %{name}



%files -f %{name}.lang
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc AUTHORS README NEWS layout_doc.html
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/%{name}*
%{_datadir}/icons/hicolor/??x??/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.15-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.15-8
- Remove obsolete scriptlets

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.1.15-6
- Rebuild due to bug in RPM (RHBZ #1468476)

* Tue Mar 28 2017 Remi Collet <remi@fedoraproject.org> - 1.1.15-5
- drop optional dependency on Gtk2::WebKit, see #1375823

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Oct 21 2016 Remi Collet <remi@fedoraproject.org> - 1.1.15-3
- add upstream patch for perl 5.24

* Sun Feb 14 2016 Remi Collet <remi@fedoraproject.org> - 1.1.15-2
- use appstream-util / appdata-validate (fix FTBFS)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Aug 26 2015 Remi Collet <remi@fedoraproject.org> - 1.1.15.1
- update to 1.1.15

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 19 2015 Remi Collet <remi@fedoraproject.org> - 1.1.14.2
- switch perl(GStreamer1) on Fedora 22+
- fix license handling

* Thu Mar 19 2015 Remi Collet <remi@fedoraproject.org> - 1.1.14.1
- update to 1.1.14

* Sun Sep  7 2014 Remi Collet <remi@fedoraproject.org> - 1.1.13.1
- update to 1.1.13
- ship appdata provided by upstream, F20+
- drop appindicator plugin as GtK::AppIndicator not available

* Sat Aug  2 2014 Remi Collet <remi@fedoraproject.org> - 1.1.12-5
- add appdata

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May  5 2014 Remi Collet <remi@fedoraproject.org> - 1.1.12-2
- update to 1.1.12

* Sat Aug 03 2013 Petr Pisar <ppisar@redhat.com> - 1.1.10-2
- Perl 5.18 rebuild

* Wed Jul 31 2013 Remi Collet <remi@fedoraproject.org> - 1.1.10-1
- update to 1.1.10
- fix documentation installation

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.1.9-4
- Perl 5.18 rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Feb 05 2012 Remi Collet <remi@fedoraproject.org> - 1.1.9-1
- update to 1.1.9

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 14 2011 Remi Collet <remi@fedoraproject.org> - 1.1.8-1
- update to 1.1.8

* Thu Aug 18 2011 Remi Collet <remi@fedoraproject.org> - 1.1.7-3.1
- rebuild for perl 5.14

* Fri Aug 05 2011 Remi Collet <Fedora@FamilleCollet.com> - 1.1.7-3
- requires perl(Gtk2::WebKit) on fedora >= 16

* Wed Aug 03 2011 Remi Collet <Fedora@FamilleCollet.com> - 1.1.7-2
- only requires perl(Gtk2::MozEmbed) on fedora < 16
- fix filter for RPM 4.9

* Sun Mar 20 2011 Remi Collet <Fedora@FamilleCollet.com> - 1.1.7-1
- update to development version 1.1.7

* Sun Feb 20 2011 Remi Collet <Fedora@FamilleCollet.com> - 1.1.6-1
- update to 1.1.6
- fix URL and filter (hope this is temporary)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Oct 03 2009 Remi Collet <Fedora@FamilleCollet.com> - 1.0.2-1
- new upstream version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 12 2009 Remi Collet <Fedora@FamilleCollet.com> - 1.0.1-2
- From review (#485961)
- preserve timestamp
- own all directory
- missing Requires
- fix license

* Tue Feb 17 2009 Remi Collet <Fedora@FamilleCollet.com> - 1.0.1-1
- Initial Fedora RPM from Quentin Sculo spec

